org.keycloak.adapters.undertow

## Class UndertowRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator
    - - org.keycloak.adapters.undertow.UndertowRequestAuthenticator

-     public class UndertowRequestAuthenticator
      extends AbstractUndertowRequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator

      `exchange, securityContext`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, log, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, int sslRedirectPort, io.undertow.security.api.SecurityContext securityContext, io.undertow.server.HttpServerExchange exchange, AdapterTokenStore tokenStore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected KeycloakUndertowAccount` | `createAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)` Subclasses need to be able to create their own version of the KeycloakUndertowAccount

    - ### Methods inherited from class org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator

      `completeBearerAuthentication, completeOAuthAuthentication, createOAuthAuthenticator, getHttpSessionId, propagateKeycloakContext`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndertowRequestAuthenticator

          public UndertowRequestAuthenticator(HttpFacade facade,
                                      KeycloakDeployment deployment,
                                      int sslRedirectPort,
                                      io.undertow.security.api.SecurityContext securityContext,
                                      io.undertow.server.HttpServerExchange exchange,
                                      AdapterTokenStore tokenStore)

  - ### Method Detail

    - #### createAccount

          protected KeycloakUndertowAccount createAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)

      Description copied from class: `AbstractUndertowRequestAuthenticator`
      Subclasses need to be able to create their own version of the KeycloakUndertowAccount
      Specified by:
        `createAccount` in class `AbstractUndertowRequestAuthenticator`
      Returns:
        The account

Copyright © 2015. All Rights Reserved.